import request from '@/utils/request'

// 查询执行时间限位管理列表
export function listLimit(query) {
  return request({
    url: '/assets/limit/list',
    method: 'get',
    params: query
  })
}

// 查询执行时间限位管理详细
export function getLimit(id) {
  return request({
    url: '/assets/limit/' + id,
    method: 'get'
  })
}

// 新增执行时间限位管理
export function addLimit(data) {
  return request({
    url: '/assets/limit',
    method: 'post',
    data: data
  })
}

// 修改执行时间限位管理
export function updateLimit(data) {
  return request({
    url: '/assets/limit',
    method: 'put',
    data: data
  })
}

// 删除执行时间限位管理
export function delLimit(id) {
  return request({
    url: '/assets/limit/' + id,
    method: 'delete'
  })
}

// 大棚运行时间限位查询
export function getAgriByImei(id) {
    return request({
        url: '/assets/limit/getAgriByImei/' + id,
        method: 'get'
    })
}
